<?php

namespace App\ViewModels\Pagamento\PagamentoComandaFormaPagamentoRegistrationViewModel;

use App\Utils\Builder;

class FormaPagamentoCreditoClienteViewModelBuilder implements Builder {
	protected $credito_id;
	protected $valor_total;
	protected $valor_usado;
	protected $gerar_credito;

	public function build(): FormaPagamentoCreditoClienteViewModel {

		$formaPagamentoCreditoCliente_vm = new FormaPagamentoCreditoClienteViewModel();

		$formaPagamentoCreditoCliente_vm->setCreditoId( $this->credito_id );
		$formaPagamentoCreditoCliente_vm->setValorTotal( $this->valor_total );
		$formaPagamentoCreditoCliente_vm->setValorUsado( $this->valor_usado );
		$formaPagamentoCreditoCliente_vm->setGerarCredito( $this->gerar_credito );

		return $formaPagamentoCreditoCliente_vm;

	}

	/**
	 *
	 * @param mixed $credito_id
	 */
	public function setCreditoId($credito_id) {

		$this->credito_id = $credito_id;
		return $this;

	}

	/**
	 *
	 * @param mixed $valor_total
	 */
	public function setValorTotal($valor_total) {

		$this->valor_total = $valor_total;
		return $this;

	}

	/**
	 *
	 * @param mixed $valor_usado
	 */
	public function setValorUsado($valor_usado) {

		$this->valor_usado = $valor_usado;
		return $this;

	}

	/**
	 *
	 * @param mixed $gerar_credito
	 */
	public function setGerarCredito($gerar_credito) {

		$this->gerar_credito = $gerar_credito;
		return $this;

	}

}

